Bug 1367382 - [RFE]: events from protocol server
Summary: [RFE]: events from protocol server
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: protocol
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.2.0
Assignee: Prasanna Kumar Kalever
QA Contact: Sweta Anandpara
URL:
Whiteboard: USM-Gluster integration
Depends On:
Blocks: 1351503 1369402 1369403 1373740
TreeView+ depends on / blocked
 
Reported: 2016-08-16 10:12 UTC by Raghavendra Talur
Modified: 2017-03-23 05:44 UTC (History)
8 users (show)

Fixed In Version: glusterfs-3.8.4-1
Doc Type: Enhancement
Doc Text:
Clone Of: 1361127
: 1369402 1369403 (view as bug list)
Environment:
Last Closed: 2017-03-23 05:44:42 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Comment 2 Raghavendra Talur 2016-08-16 10:13:24 UTC
Description of problem:
This RFE is to track the changes required in the protocol server component to generate the events to be consumed by the eventing framework.

Comment 4 Atin Mukherjee 2016-08-23 11:54:15 UTC
http://review.gluster.org/15294 is posted for review

Comment 5 Atin Mukherjee 2016-09-16 11:13:58 UTC
Downstream patch https://code.engineering.redhat.com/gerrit/#/c/84770 merged.

Comment 8 Sweta Anandpara 2016-12-16 04:44:40 UTC
Have seen the events mentioned in the patch (also mentioned below) in my events testing, from the build 3.8.4-x (x=1-7)

CLIENT_CONNECT
CLIENT_DISCONNECT
CLIENT_AUTH_REJECT

If there are any specific issues, will be raising separate BZs for the same. Moving this blanket BZ to verified in 3.2

Comment 10 errata-xmlrpc 2017-03-23 05:44:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.